/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.carbon.flink;

import java.net.URI;

import org.apache.flink.configuration.Configuration;
import org.apache.flink.core.fs.FileSystemFactory;

public final class ProxyFileSystemFactory implements FileSystemFactory {

  @Override
  public String getScheme() {
    return ProxyFileSystem.SCHEMA;
  }

  @Override
  public void configure(final Configuration configuration) {
    // to do nothing.
  }

  @Override
  public ProxyFileSystem create(final URI uri) {
    return ProxyFileSystem.INSTANCE;
  }

}
